### Enumeration

# Json ParserError

since: 1.0

#### Declaration

    error-domain Json.ParserError

#### Description [src]

Error codes for `JSON_PARSER_ERROR`.

This enumeration can be extended at later date.

Available since: 1.0

#### Members

`JSON_PARSER_ERROR_PARSE`

  Parse error.

  - Value: `0`
  - Nickname: `parse`
  - Available since: 1.0
`JSON_PARSER_ERROR_TRAILING_COMMA`

  Unexpected trailing comma.

  - Value: `1`
  - Nickname: `trailing-comma`
  - Available since: 1.0
`JSON_PARSER_ERROR_MISSING_COMMA`

  Expected comma.

  - Value: `2`
  - Nickname: `missing-comma`
  - Available since: 1.0
`JSON_PARSER_ERROR_MISSING_COLON`

  Expected colon.

  - Value: `3`
  - Nickname: `missing-colon`
  - Available since: 1.0
`JSON_PARSER_ERROR_INVALID_BAREWORD`

  Invalid bareword.

  - Value: `4`
  - Nickname: `invalid-bareword`
  - Available since: 1.0
`JSON_PARSER_ERROR_EMPTY_MEMBER_NAME`

  Empty member name (Since: 0.16)

  - Value: `5`
  - Nickname: `empty-member-name`
  - Available since: 1.0
`JSON_PARSER_ERROR_INVALID_DATA`

  Invalid data (Since: 0.18)

  - Value: `6`
  - Nickname: `invalid-data`
  - Available since: 1.0
`JSON_PARSER_ERROR_UNKNOWN`

  Unknown error.

  - Value: `7`
  - Nickname: `unknown`
  - Available since: 1.0

#### Type functions

###### json_parser_error_quark

No description available.

since: 1.0